+postfix-cn (2.11.3~cn0) stable; urgency=medium
+
+ * Prva verzija za jessie
+ * Ispravke za Lintian
+
+ -- Ivan Rako <Ivan.Rako@CARNet.hr> Wed, 20 Jul 2016 13:59:35 +0200
+
postfix-cn (2.9.6~cn1) stable; urgency=medium
* Dodavanje IPv6 localhost adrese u mynetworks
Depends: ${misc:Depends}, postfix (>= 2.9.6-2), carnet-tools-cn (>= 2.7), sasl2-bin (>= 2.1.25), libsasl2-modules (>= 2.1.25), debconf, openssl, adduser
Conflicts: sendmail-cn, amavisd-cn (<< 2:20030616p10-10), amavisd-new-milter, sendmail-base
Suggests: amavisd-cn
-Description: A high-performance mail transport agent
+Description: High-performance mail transport agent
Postfix is Wietse Venema's mail transport agent that started life as an
alternative to the widely-used Sendmail program. Postfix attempts to
be fast, easy to administer, and secure, while at the same time being
PATH=/sbin:/usr/sbin:/bin:/usr/bin:$PATH
-0 0-23/1 * * * root if [ -x /usr/share/postfix-cn/make-aliases-gecos.sh ]; then /usr/share/postfix-cn/make-aliases-gecos.sh; fi
+0 0-23/1 * * * root if [ -x /usr/sbin/newaliases-gecos ]; then /usr/sbin/newaliases-gecos; fi
-make-aliases-gecos.sh usr/share/postfix-cn
carnet_whitelist_clients usr/share/postfix-cn
newaliases-gecos usr/sbin
+++ /dev/null
-#!/bin/sh
-
-set -e
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin:$PATH
-
-[ -x /usr/sbin/postalias ] || exit 0
-[ -f /etc/postfix/main.cf ] || exit 0
-gecos="/var/lib/postfix-cn/aliases_gecos"
-grep -q "hash:$gecos" /etc/postfix/main.cf || exit 0
-
-[ -d /var/lib/postfix-cn/ ] || exit 0
-
-# Load CARNet Tools
-. /usr/share/carnet-tools/functions.sh
-
-getent passwd | awk -F: '
- $3 >= 100 && $1 != "nobody" && $5 \
- {
- split($5, g, ",");
- if (g[1]=="") {next};
- gsub(/ /, ".", g[1]);
- print tolower(g[1]) ": " $1;
- }' > $gecos.dpkg-tmp.$$
-
-
-if ! cmp -s $gecos.dpkg-tmp.$$ $gecos > /dev/null; then
- cp_mv $gecos.dpkg-tmp.$$ $gecos
- postalias hash:$gecos
-else
- rm -f $gecos.dpkg-tmp.$$
-fi
+++ /dev/null
-../share/postfix-cn/make-aliases-gecos.sh
\ No newline at end of file
--- /dev/null
+#!/bin/sh
+
+set -e
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin:$PATH
+
+[ -x /usr/sbin/postalias ] || exit 0
+[ -f /etc/postfix/main.cf ] || exit 0
+gecos="/var/lib/postfix-cn/aliases_gecos"
+grep -q "hash:$gecos" /etc/postfix/main.cf || exit 0
+
+[ -d /var/lib/postfix-cn/ ] || exit 0
+
+# Load CARNet Tools
+. /usr/share/carnet-tools/functions.sh
+
+getent passwd | awk -F: '
+ $3 >= 100 && $1 != "nobody" && $5 \
+ {
+ split($5, g, ",");
+ if (g[1]=="") {next};
+ gsub(/ /, ".", g[1]);
+ print tolower(g[1]) ": " $1;
+ }' > $gecos.dpkg-tmp.$$
+
+
+if ! cmp -s $gecos.dpkg-tmp.$$ $gecos > /dev/null; then
+ cp_mv $gecos.dpkg-tmp.$$ $gecos
+ postalias hash:$gecos
+else
+ rm -f $gecos.dpkg-tmp.$$
+fi